'use strict'

const coRequestLib = require('request')

const coLoggerLib = require('../logger.js')

module.exports = function (ioData, ifCb) {
  coLoggerLib.logVerbose('Request/Data: ', ioData)
  coRequestLib(ioData, function (ioError, ioResponse, ioBody) {
    coLoggerLib.logVerbose('Request/Response/Error: ', ioError)
    coLoggerLib.logVerbose('Request/Response/Body: ', ioBody)
    coLoggerLib.trace('Request/Response: ', ioResponse)
    ifCb(ioError, ioResponse, ioBody)
  })
}
