'use strict'

module.exports = function (ioData, isType, isMessageError) {
  let lsObjectType = typeof ioData
  let lsTypeType = isType
  if (typeof lsTypeType !== 'string' || lsObjectType !== isType) {
    let lsMessageError = isMessageError
    if (typeof lsMessageError !== 'string') {
      lsMessageError = 'Validation failed: The type of the given object is ' + lsObjectType + ', but not the expected ' + isType
    }
    throw new Error(lsMessageError)
  }
  return ioData
}
