'use strict'

var filters = require('./filters.js')

module.exports = function () {
  return {
    root: process.env.ROOT || process.cwd(),
    deployDirs: ['src/', 'cfg/'],
    autoUndeploy: false,
    exit: false,
    detectServerVersion: true,
    includeFilter: filters.invalidPathFilter(),
    deploy: filters.invalidPathFilter(),
    undeploy: filters.invalidPathFilter(),
    treatWarningsAsErrors: false,
    simulateMake: false,
    stripCRFromCSV: false,
    undeployFilename: 'undeploy.json',
    verbose: false,
    logFile: undefined,
    overwriteFiles: false,
    dontDeleteFiles: false
  }
}
